<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package wp-clf-lite
 */

$course_title				= ( ! empty( get_theme_mod( 'course_title' ) ) ? get_theme_mod( 'course_title' ) : 'Please Enter Course Title' );
$section_numbering 	= 'yes' === get_theme_mod( 'section_name_convention_numbering' ) ? 'numbered' : '';

get_header();
?>

	<div id="primary" <?php WP_CLF_Lite_Content_Classes::primary_content_class(); ?> >
		<main id="main" <?php WP_CLF_Lite_Content_Classes::main_content_class(); ?> >

			<?php if ( defined( 'UBC_PRESS_VERSION' ) ) : ?>

			<div class="entry-content">

				<header>
					<h1 class="course-title"><?php echo esc_html( $course_title ); ?></h1>
				<?php if ( ! empty( $course_description ) ) : ?>
					<p class="lead"><?php echo wp_kses_post( $course_description ); ?></p>
				<?php endif; ?>
				</header>

				<div class="<?php echo esc_attr( $section_numbering ); ?> column-12">

					<?php get_template_part( 'template-parts/expand-collapse-accordion' ); ?>

					<div id="course-content-listings" class="accordion sections-accordion" data-accordion data-multi-expand="true" data-allow-all-closed="true">
						<?php do_action( 'sections_course_main_listing' ); ?>
					</div>
				</div>
				<!-- .course-main -->

			</div><!-- .entry-content -->

			<?php endif; ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
