<?php

/**
 * Replies Loop - Single Reply
 *
 * @package bbPress
 * @subpackage Theme
 */

global $wp_query;
$post_id = $wp_query->post->ID;

// Get the url of the topic's reply within the section.
$get_post_url = get_permalink( $post_id );
$bbp_get_the_reply_post_id = bbp_get_reply_id();
$topic_reply_section_url = $get_post_url . '#post-' . $bbp_get_the_reply_post_id;


?>

<div <?php bbp_reply_class(); ?>>

	<div id="post-<?php bbp_reply_id(); ?>" class="bbp-reply-header">

		<div class="bbp-meta row align-justify">

			<span class="bbp-reply-post-date small column">Replied on: <strong><?php bbp_reply_post_date(); ?></strong></span>

			<?php if ( bbp_is_single_user_replies() ) : ?>

				<span class="bbp-header">
					<?php _e( 'in reply to: ', 'bbpress' ); ?>
					<a class="bbp-topic-permalink column" href="<?php bbp_topic_permalink( bbp_get_reply_topic_id() ); ?>"><?php bbp_topic_title( bbp_get_reply_topic_id() ); ?></a>
				</span>

			<?php endif; ?>

			<a href="<?php echo esc_url( $topic_reply_section_url ); ?>" class="bbp-reply-permalink"><svg class="ui-icon link"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#link"></use></svg> Reply link</a>

		</div><!-- .bbp-meta -->

	</div><!-- #post-<?php bbp_reply_id(); ?> -->

		<div class="bbp-reply-author text-center">

			<?php do_action( 'bbp_theme_before_reply_author_details' ); ?>

			<?php bbp_reply_author_link( array( 'sep' => '<br />', 'show_role' => true ) ); ?>

			<?php if ( bbp_is_user_keymaster() ) : ?>

				<?php do_action( 'bbp_theme_before_reply_author_admin_details' ); ?>

				<div class="bbp-reply-ip"><?php bbp_author_ip( bbp_get_reply_id() ); ?></div>

				<?php do_action( 'bbp_theme_after_reply_author_admin_details' ); ?>

			<?php endif; ?>

			<?php do_action( 'bbp_theme_after_reply_author_details' ); ?>

		</div><!-- .bbp-reply-author -->

		<div class="bbp-reply-content">

			<?php do_action( 'bbp_theme_before_reply_content' ); ?>

			<?php bbp_reply_content(); ?>

			<?php do_action( 'bbp_theme_after_reply_content' ); ?>

		</div><!-- .bbp-reply-content -->

		<div class="bbp-meta bbp-admin-links-bottom small-12 column">

			<?php do_action( 'bbp_theme_before_reply_admin_links' ); ?>

			<?php bbp_reply_admin_links(); ?>

			<?php do_action( 'bbp_theme_after_reply_admin_links' ); ?>

		</div><!-- .bbp-admin-links-bottom -->

</div><!-- .reply -->
