<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package wp-clf-lite
 */

$course_title								= ( ! empty( get_theme_mod( 'course_title' ) ) ? get_theme_mod( 'course_title' ) : 'Please Enter Course Title' );
$course_description 				= ( ! empty( get_theme_mod( 'course_decription' ) ) ? get_theme_mod( 'course_decription' ) : '' );
$site_option_show_on_front 	= get_option( 'show_on_front' );
$section_type						= \UBC_WP_CLF_Lite::get_course_content_name_convention_plural();
$section_numbering 					= 'yes' === get_theme_mod( 'section_name_convention_numbering' ) ? 'numbered' : '';

get_header();

?>

	<div id="primary" <?php WP_CLF_Lite_Content_Classes::primary_content_class(); ?> >
		<main id="main" <?php WP_CLF_Lite_Content_Classes::main_content_class(); ?> >

			<?php if ( defined( 'UBC_PRESS_VERSION' ) && 'sections' === $site_option_show_on_front ) : ?>

			<div class="entry-content">

				<header class="site-header">
					<h1 class="course-title"><?php echo esc_html( $course_title ); ?></h1>
					<?php if ( ! empty( $course_description ) ) : ?>
						<p class="lead"><?php echo wp_kses_post( $course_description ); ?></p>
					<?php endif; ?>
				</header>

				<section class="course-section <?php echo esc_attr( $section_numbering ); ?>">
					<div id="course-content-listings" class="accordion sections-accordion" data-accordion data-multi-expand="true" data-allow-all-closed="true">
											<h2 class="course-section-title text-center">Course <?php echo esc_html( $section_type ); ?></h2>
						<?php get_template_part( 'template-parts/expand-collapse-accordion' ); ?>
						<?php do_action( 'sections_course_main_listing' ); ?>
					</div>
				</section>
				<!-- .course-main -->

			</div><!-- .entry-content -->

			<?php else : ?>

					<?php while ( have_posts() ) : the_post(); ?>

						<?php get_template_part( 'template-parts/content' ); ?>

						<?php
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
						?>

					<?php endwhile; // End of the loop. ?>

			<?php endif; ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
