<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package wp-clf-lite
 */

tha_html_before();

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
<?php tha_head_top(); ?>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">


<?php wp_head(); ?>

<?php tha_head_bottom(); ?>
</head>

<body <?php body_class(); ?>>
	<?php tha_body_top(); ?>

	<div id="page" <?php WP_CLF_Lite_Content_Classes::root_page_class(); ?>>
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'wp-clf-lite' ); ?></a>
		<?php tha_header_before(); ?>
			<header id="masthead" class="site-header" data-sticky-container>
				<?php tha_header_top(); ?>
				<?php tha_header_bottom(); ?>
			</header><!-- #masthead -->
			<?php tha_header_after(); ?>

		<?php tha_content_before(); ?>
		<div id="content" <?php WP_CLF_Lite_Content_Classes::root_content_class(); ?>>
			<?php tha_content_top(); ?>
