<?php
/**
 * Add image sizes to theme
 *
 * @since 0.1.17
 *
 */

class UBC_CLF_Lite_Theme_Support {

	/**
	 * Set up filter hooks for main html tag classes
	 *
	 * @since 1.0.0
	 *
	 */
	public function init() {
		// add_action( 'after_setup_theme', array( $this, 'wp_clf_lite_remove_header_theme_support_then_add_back' ) );
		add_filter( 'wp_clf_lite_custom_header_setup', array( $this, 'wp_clf_lite_custom_header_setup_ext' ) );

	}


	public function wp_clf_lite_custom_header_setup_ext( ) {

		$args = array(

			'default-image'          => '',
			'default-text-color'     => '000000',
			'width'                  => 1440,
			'height'                 => 400,
			'flex-height'            => true,
			'wp-head-callback'       => 'wp_clf_lite_header_style',
			'admin-head-callback'    => 'wp_clf_lite_admin_header_style',
			'admin-preview-callback' => 'wp_clf_lite_admin_header_image',

		);

		return $args;

	}

}

// Initialize our child theme changes.
add_action( 'after_setup_theme', 'after_setup_theme_ubc_clf_lite_theme_support_class_hooks_init', 15 );


/**
 * Initialize the UBC_CLF_Lite_Customizer class on after_setup_theme so we're
 * up and running AFTER the parent theme (priority 15)
 *
 * @since 1.0.0
 *
 * @param null
 * @return null
 */

function after_setup_theme_ubc_clf_lite_theme_support_class_hooks_init() {

	$UBC_CLF_Add_Theme_Options = new UBC_CLF_Lite_Theme_Support();
	$UBC_CLF_Add_Theme_Options->init();

}/* after_setup_theme_ubc_clf_lite_theme_support_class_hooks_init() */
