<?php
/**
 * Template for showing the course sites main menu
 *
 * @author David Brabbins
 * @since 0.1.9
 */

$startPath = trailingslashit( dirname( __FILE__ ) ) . '../template-parts';
$dashboard_menu_templ = 'content-dashboard-menu.php';

$current_user 					= wp_get_current_user();
$section_archive_link   = get_post_type_archive_link( 'section' );

$user_welcome       		= ( is_user_logged_in() ? $current_user->display_name : 'Login' );
$dashboard_link					= \UBC\Press\StudentDashboard\Utils::ubc_press_dashboard_url();
$admin_url							= admin_url();
$bbpres_url						  = ( function_exists( 'bbp_user_profile_edit_url' ) ) ? bbp_get_user_profile_edit_url( get_current_user_id() ) : '';

$menu_atts 					= array(
	'container_class'		=> 'menu-sidebar',
	'menu_class' 				=> 'site-menu',
	'theme_location' 		=> 'primary',
	'menu_id' 					=> 'primary-menu',
	'container' 				=> 'nav',
);
?>


<div class="off-canvas position-right sidebar" id="offCanvasRight1" data-off-canvas data-transition="overlap" data-content-scroll="true">
	<button class="close-button button secondary expanded" aria-label="Close menu" type="button" data-close>
		<span aria-hidden="true">&times; Close</span>
	</button>
	<div class="menus column-12">
		<?php if ( is_user_logged_in() ) : ?>
		<section>

			<header class="hide">
				<h4>Course content</h4>
			</header>

			<a class="button success course-button expanded" href="<?php echo esc_url( $section_archive_link ); ?>" title="Course content"><svg class="ui-icon pencil" aria-hidden="false"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#list"></use></svg> Course content</a>

			<header>
				<h4><svg class="ui-icon user" aria-hidden="true"><use xlink:href="#user"></use></svg> User menu</h4>
			</header>
			<nav class="menu-sidebar">
				<ul class="user-login-menu">

					<?php if ( ! empty( $bbpres_url ) ) : ?>

					<li>
						<a href="<?php echo esc_url( $bbpres_url ); ?>">Profile</a>
					</li>

					<?php endif; ?>

					<?php \UBC\Helpers::locate_template_part_in_plugin( $startPath, $dashboard_menu_templ, true, false ); ?>

					<li>
						<a href="<?php echo esc_url( wp_logout_url() ); ?>">Logout</a>
					</li>
					<?php if ( current_user_can( 'administrator' ) ) : ?>
						<li>
							<a href="<?php echo esc_url( $admin_url ); ?>">Admin dashboard</a>
						</li>
					<?php endif; ?>
				</ul>
			</nav>

		</section>
		<hr />
		<?php endif; ?>
		<section>
			<header>
				<h4><svg class="ui-icon menu-icon" aria-hidden="true"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#menu"></use></svg> Site menu</h4>
			</header>
				<?php wp_nav_menu( $menu_atts ); ?>
		</section>
		</div><!-- .menus -->
</div><!-- #offCanvasRight1 -->
