<?php
/**
	* Template for showing custom sidebar content
	* loadd by UBC_CLF_Lite::add_ubc_wp_clf_lite_sidebar_course_tabs()
	*
	* @author David Brabbins
	* @since 1.0
	*/

//Call function to get course naming convention
$section_type 			= \UBC_WP_CLF_Lite::get_course_content_name_convention_plural();
$notes_url					= \UBC\Press\StudentDashboard\Utils::ubc_press_go_to_dashboard_url( $tab_name = 'notes', $tab_url_text = 'Read all notes' );
$section_numbering 	= get_theme_mod( 'section_name_convention_numbering' ) ? 'numbered' : '' === 'yes';

?>
<div class="course-sidebar-tabs">
	<ul class="tabs row-smll-collapse" data-tabs data-deep-link="true" role="tablist" id="section-tabs">
			<li class="tabs-title is-active column">
				<a class="text-center" href="#courses-tab" role="tab" aria-selected="true"><svg class="ui-icon list" aria-hidden="true"><use xlink:href="#list"></use></svg><?php echo esc_html( $section_type ); ?></a>
			</li>
			<li class="tabs-title column">
				<a class="text-center" href="#notes-tab" role="tab" aria-selected="false"><svg class="ui-icon pencil" aria-hidden="true"><use xlink:href="#notes"></use></svg> Notes</a>
			</li>
	</ul>
	<!-- end ul.tabs -->

	<div class="tabs-content" data-tabs-content="section-tabs">
		<div id="courses-tab" class="tabs-panel sub-section-tab content is-active <?php echo esc_attr( $section_numbering ); ?>" role="tabpanel" aria-hidden="false">
			<nav>
				<ul class="accordion sub-section-list sections-accordion" data-accordion data-allow-all-closed="true" data-multi-expand="true">
					<?php get_template_part( 'template-parts/courses-section-list-menu-parent' ); ?>
				</ul>
			</nav>
		</div>
		<!-- end #section1 -->
		<div id="notes-tab" class="tabs-panel notes row" role="tabpanel" aria-hidden="true">
			<div class="column-12">
				<header>
					<h3>Note pad <i data-tooltip aria-haspopup="true" class="has-tip top" data-disable-hover="true" tabindex="2" title="Any notes written here are meant for the content for this sub <?php echo esc_html( $section_type ); ?>: <?php the_title(); ?>."><svg class="ui-icon pencil" aria-hidden="true"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#feedback"></use></svg></i></h3>
					<p>
						<small><?php echo $notes_url; ?></small>
					</p>
				</header>
			</div>

			<?php do_action( 'wp_clf_lite_sidebar_notes' ); ?>

		</div>
		<!-- end #section2 -->
	</div>
	<!-- end .tab-content -->
</div>
<!-- end course-sidebar-tabs -->
